
Redmine - Defect #9926

export issues to csv fails

2012-01-05 10:27 - Mike Dubman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

Processing IssuesController#index to csv (for 10.220.3.218 at 2012-01-05 11:26:04) [GET]

Parameters: {"format"=>"csv", "project_id"=>"fca", "action"=>"index", "controller"=>"issues", "columns"=>"all"}

NoMethodError (undefined method `formatted_questions' for #<Issue:0x2aaaab5db300>):

app/helpers/issues_helper.rb:283:in `send'

app/helpers/issues_helper.rb:283:in `issues_to_csv'

app/helpers/issues_helper.rb:278:in `collect'

app/helpers/issues_helper.rb:278:in `issues_to_csv'

app/helpers/issues_helper.rb:277:in `each'

app/helpers/issues_helper.rb:277:in `issues_to_csv'

lib/faster_csv.rb:1053:in `generate'

app/helpers/issues_helper.rb:271:in `issues_to_csv'

app/controllers/issues_controller.rb:97:in `index'

app/controllers/issues_controller.rb:91:in `index'

config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

Rendering /opt/redmine-1.3.0-0/apps/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2012-01-05 10:49 - Etienne Massip

What's the "formatted_questions" referring to?

Do you have such a column selected in the query columns?

#2 - 2012-01-05 11:31 - Mike Dubman

Etienne Massip wrote:

What's the "formatted_questions" referring to?

Do you have such a column selected in the query columns?

 dont have such column, from the error it seems like formatted_questions is a method.

#grep -rn formatted_questions *

question_plugin/spec/lib/question_queries_helper_patch_spec.rb:94:    column = mock_model(QueryColumn, :name => :formatted_questions)

question_plugin/spec/lib/question_queries_helper_patch_spec.rb:105:      next if column.name  :formatted_questions

question_plugin/lang/de.yml:4:field_formatted_questions: Fragen

question_plugin/lang/en.yml:4:field_formatted_questions: Questions

question_plugin/lib/question_query_patch.rb:12:      base.add_available_column(QueryColumn.new(:formatted_questions))

question_plugin/lib/question_queries_helper_patch.rb:20:      if column.name  :formatted_questions

question_plugin/lib/question_layout_hooks.rb:8:td.formatted_questions { text-align: left; white-space: normal}

question_plugin/lib/question_layout_hooks.rb:9:td.formatted_questions ol { margin-top: 0px; margin-bottom: 0px; }

question_plugin/config/locales/de.yml:5:  field_formatted_questions: Fragen

question_plugin/config/locales/en.yml:5:  field_formatted_questions: Questions

#3 - 2012-01-05 12:11 - Etienne Massip

Yes, it's an accessor method to a DB column value.

Try to remove all the 'formatted_questions' you might find in the column_names column of the queries table?
#4 - 2012-01-09 10:46 - Mike Dubman

there is no such value for "column_names" field in the queries table:

mysql> select column_names from queries;

+-------------------------------------------------------------------------------------------------------------

-----------------------------------------+

| column_names                                                                                                

                                         |

+-------------------------------------------------------------------------------------------------------------

-----------------------------------------+

| ---

- :status

- :priority

- :subject

- :author

- :assigned_to

- :updated_on

- :category

- :fixed_version

- :done_ratio

                             |

| ---

- :status

- :priority

- :subject

- :author

- :assigned_to

- :updated_on

- :category

- :fixed_version

- :done_ratio

                             |

| ---

- :tracker

- :status

- :priority

- :subject

- :author

- :assigned_to

- :category

- :fixed_version

- :done_ratio

                                |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| ---

- :fixed_version

- :category

- :status

- :priority

- :subject

- :assigned_to

- :done_ratio

                                                     |

| ---

- :fixed_version

- :category

- :status

- :priority

- :subject

- :assigned_to

- :done_ratio
                                                     |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| ---

- :status

- :priority

- :subject

- :assigned_to

- :category

- :fixed_version

                                                                   |

| ---

- :tracker

- :status

- :priority

- :subject

- :assigned_to

- :category

- :fixed_version

                                                        |

| NULL                                                                                                        

                                         |

| NULL                                                                                                        

                                         |

| ---

- :status

- :priority

- :subject

- :assigned_to

- :category

- :fixed_version

                                                                   |

| ---

- :project

- :parent

- :status

- :priority

- :subject

- :assigned_to

- :category

- :fixed_version

- :due_date

- :estimated_hours

- :done_ratio

 |

#5 - 2012-01-09 10:50 - Mike Dubman

I did "grep formatted_questions" inside mysqldump file and found nothing

#6 - 2012-01-13 19:59 - Etienne Massip

- Category set to Issues

#7 - 2012-01-16 14:01 - Mike Dubman

- Status changed from New to Resolved

found a reason for failure:

I have copied inactive plugins under vendor/plugin/inactive folder.

once removed - all works fine

10x

#8 - 2012-01-16 14:25 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
Of nothing!
